import {NgModule} from "@angular/core";
import {BrowserModule} from "@angular/platform-browser";
import {Locale as BaseLocaleEnUs} from "@js-joda/locale/dist/prebuilt/en-us";
import {LicenseManager, Locale, ScheduleModule} from "schedule";

import {AppRoutingModule} from "./app-routing.module";
import {AppComponent} from "./app.component";
import {SimpleAircraftGanttComponent} from "./simple-aircraft-gantt/simple-aircraft-gantt.component";
import {HomePageComponent} from './home-page/home-page.component';

@NgModule({
  declarations: [
    AppComponent,
    SimpleAircraftGanttComponent,
    HomePageComponent
  ],
  imports: [
    // Angular modules
    BrowserModule,
    AppRoutingModule,
    // Custom modules
    ScheduleModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {

  readonly demoLicenseKey: string = "<Your license key>";

  constructor() {
    Locale.updateDefault(BaseLocaleEnUs.US);
    LicenseManager.setLicenseFromKey(this.demoLicenseKey);
  }

}
